<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Все о гите</title>
    <link rel="stylesheet" href="/style.css">
</head>
<body>
   
    <div class="content">  
   <h1> Курс по гиту</h1>
   <p style="font-size:25px;">Здесь я буду записывать все что знаю о <b>гите</b> (точнее все что я записывал в тетради я перекину сюда)</p>
   <span>
    Сперва я расскажу о правильности использовании гита, а после расскажу минимум знаний команд и те которые могут понадобится в больших проектах
   <br>
   <br>
    Научись пользоваться терминалом (желательно не в вс коде или пхпшторме) gitBash топ. Для каждого проекта не новая ветка а новый проект(я тут ошибся). 
   </span>
   <h2>Установка</h2>
   <ul>
    <li>скачиваем гит с интернета с официального сайта гита</li>
    <li>после скачивания на пк вводим комбинацию win+r(запускает терминал) и вводим внутри "cmd". В cmd вводим " git -- version" </li>
   </ul>
   <h2>Авторизация</h2>
   <span>Далее нужно сохранить куда нибудь пользователя (в дальнейшем тут будет придуманно скрытое поле для которого нужно будет ввести что то(либо пароль либо смс подтверждения если у меня мозги будут на топово уровне))</span>
   <br>
   <ul>
    <li>"git config -- list"  - проверка</li>
    <li>"git config -- global user.name [логин в ковычках]" - вводишь имя </li>
    <li>"git config -- global user.email" - вводишь email</li>
   </ul>
   <h2>Инициализация</h2>
   <span>Инициализация в гите нужна для того чтоб программа понимала где ты находишься и что именно комитить для этого есть специальная комбинация чтобы "серфить" по диску пк:</span>
   <br>
   <ul>
    <li>"cd [папка]"  -  комбинация чтоб зайти в папку</li>
    <li> "cd .." -  выйти из папки</li>
    <li>"git init"  -  как раз таки инициализация</li>
   </ul>
    <h2>Комбинации для коммита</h2>
    <ul>
        <li>"git init"  -  инициализация в папке (на всякий случай)</li>
        <li>"git add ."  -  добавление в ветку</li>
        <li>"git commit -m [комментарий в ковычках]"  -   добавление коментария для понимания что ты тут делал</li>
        <li>"git push"  -  добавить</li>
    </ul>
        <span>Если хочешь добавить в коммит только один файл, то ... 
            <br>
            git add "файл"
        </span>
        <h2>Для клонирования</h2>
        <span>
            Заходим с помошью гит баш в папку куда нужно склонировать файлы и вводим комбинацию ...
        <br>
        git clone [ссылку клона]
        <br>
        После загрузки надо проверить загрузилась или нет
        </span>
        <h1>Алиасы</h1>
        <span>
            Алиасы это собственные команды которые мы можем создавать для того чтобы ускорить процесс работы и сделать работу на много быстрее 
            <br>
            Алиасы добавляются в файл .gitconfig и находится он в диске С пользователи (как добавляются ищи сам)
            <br>
            В основном в алиасы добавляются длинные команды гита
        </span>
        <h2>Отмена изменений</h2>
        <span>
            <ul>
                <li>git checkout.   -- это в случае всего проекта</li>
                <li>git checkout -- [файл]   -- это в случае единичного файла</li>
            </ul>
            <br>
            после добавляется git add .  иначе не сработает 
            <br>
            если уже сделан коммит то 
            <br>
            git reset -- hard HEAD^1 
            <br>
            усли мы хотим вытащить файл из коммита но не удалять 
            <br>
            git reset -- soft HEAD^1
         </span>
         <h2>Работа с ветками</h2>

         <span>
            <ul>
                <li>git branch показывает ветки и знак "*" является что в этой ветке мы находимся</li>
                <li>git branch -v показывает ветку и последний коммит</li>
                <li>git branch (название ветки) создает ветку</li>
                <li>git branch -b (название ветки) создает ветку и переходит в нее</li>
                <li>git branch -m (название ветки)  команда которая переименовывает ветку в ту которая указана в скобках</li>
                <li><b>при написании кода в гите скобки НЕ СТАВЯТСЯ</b></li>
            </ul>

         </span>
   </div>
</body>
</html>